DDRESCUE(1)

NAME
ddrescue - data recovery tool

SYNOPSIS
ddrescue [options] infile outfile [logfile]

DESCRIPTION
GNU ddrescue - Data recovery tool. Copies data from one file or block device to another, trying hard to rescue data in case of read errors.

You should use a logfile unless you know what you are doing.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-a, --min-read-rate=<bytes>
    minimum read rate of good areas in bytes/s

-A, --try-again
    mark non-split, non-trimmed blocks as non-tried

-b, --block-size=<bytes>
    sector size of input device [default 512]

-B, --binary-prefixes
    show binary multipliers in numbers [SI]

-c, --cluster-size=<sectors>
    sectors to copy at a time [128]

-C, --complete-only
    do not read new data beyond logfile limits

-d, --direct
    use direct disc access for input file

-D, --synchronous
    use synchronous writes for output file

-e, --max-errors=[+]<n>
    maximum number of [new] error areas allowed

-E, --max-error-rate=<bytes>
    maximum allowed rate of read errors per second

-f, --force
    overwrite output device or partition

-F, --fill=<types>
    fill given type blocks with infile data (?*/-+)

-g, --generate-logfile
    generate approximate logfile from partial copy

-i, --input-position=<bytes>
    starting position in input file [0]

-I, --verify-input-size
    verify input file size with size in logfile

-K, --skip-size=<bytes>
    initial size to skip on read error [64 KiB]

-m, --domain-logfile=<file>
    restrict domain to finished blocks in file

-M, --retrim
    mark all failed blocks as non-trimmed

-n, --no-split
    do not try to split or retry failed blocks

-o, --output-position=<bytes>
    starting position in output file [ipos]

-p, --preallocate
    preallocate space on disc for output file

-q, --quiet
    suppress all messages

-r, --max-retries=<n>
    exit after given retries (-1=infinity) [0]

-R, --reverse
    reverse direction of copy operations

-s, --max-size=<bytes>
    maximum size of input data to be copied

-S, --sparse
    use sparse writes for output file

-t, --truncate
    truncate output file to zero size

-T, --timeout=<interval>
    maximum time since last successful read

-v, --verbose
    be verbose (a 2nd -v gives more)

-x, --extend-outfile=<bytes>
    extend outfile size to be at least this long

Numbers may be followed by a multiplier: b = blocks, k = kB = 10^3 = 1000, Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc... Time intervals have the format 1[.5][smhd] or 1/2[smhd].

REPORTING BUGS
Report bugs to bug-ddrescue@gnu.org
Ddrescue home page: http://www.gnu.org/software/ddrescue/ddrescue.html
General help using GNU software: http://www.gnu.org/gethelp

COPYRIGHT
Copyright © 2012 Antonio Diaz Diaz. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for ddrescue is maintained as a Texinfo manual. If the info and ddrescue programs are properly installed at your site, the command

    info ddrescue

should give you access to the complete manual.